Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UITab.Properties

    java.lang.Object
      java.lang.Enum<UITab.Properties>
          org.richfaces.component.UITab.Properties

All Implemented Interfaces:
  Serializable, Comparable<UITab.Properties>

Enclosing class:
  UITab

    protected static enum UITab.Properties

extends Enum<UITab.Properties>

Enum Constant Summary
`bypassUpdates`
`data`
`dir`
`disabled`
`headerStyle`
`lang`
`limitRender`
`onbeforedomupdate`
`onbegin`
`onclick`
`oncomplete`
`ondblclick`
`onenter`
`onheaderclick`
`onheaderdblclick`
`onheadermousedown`
`onheadermousemove`
`onheadermouseup`
`onleave`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`render`
`status`
`style`
`styleClass`
`title`
`value`

Method Summary
`static UITab.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UITab.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### bypassUpdates

    public static final UITab.Properties bypassUpdates

### data

    public static final UITab.Properties data

### dir

    public static final UITab.Properties dir

### disabled

    public static final UITab.Properties disabled

### headerStyle

    public static final UITab.Properties headerStyle

### lang

    public static final UITab.Properties lang

### limitRender

    public static final UITab.Properties limitRender

### onbeforedomupdate

    public static final UITab.Properties onbeforedomupdate

### onbegin

    public static final UITab.Properties onbegin

### onclick

    public static final UITab.Properties onclick

### oncomplete

    public static final UITab.Properties oncomplete

### ondblclick

    public static final UITab.Properties ondblclick

### onenter

    public static final UITab.Properties onenter

### onheaderclick

    public static final UITab.Properties onheaderclick

### onheaderdblclick

    public static final UITab.Properties onheaderdblclick

### onheadermousedown

    public static final UITab.Properties onheadermousedown

### onheadermousemove

    public static final UITab.Properties onheadermousemove

### onheadermouseup

    public static final UITab.Properties onheadermouseup

### onleave

    public static final UITab.Properties onleave

### onmousedown

    public static final UITab.Properties onmousedown

### onmousemove

    public static final UITab.Properties onmousemove

### onmouseout

    public static final UITab.Properties onmouseout

### onmouseover

    public static final UITab.Properties onmouseover

### onmouseup

    public static final UITab.Properties onmouseup

### render

    public static final UITab.Properties render

### status

    public static final UITab.Properties status

### style

    public static final UITab.Properties style

### styleClass

    public static final UITab.Properties styleClass

### title

    public static final UITab.Properties title

### value

    public static final UITab.Properties value

Method Detail

### values

    public static UITab.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UITab.Properties c : UITab.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UITab.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.